Choose style:

Author Topic: Can't Install Wine (Broken Packages) [SOLVED]  (Read 932 times)

0 Members and 1 Guest are viewing this topic.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Can't Install Wine (Broken Packages) [SOLVED]
« on: December 17, 2018, 05:38:32 am »
Well I've trying to install wine but I can't, when I do

sudo apt-get install --install-recommends winehq-stable

I only get this message

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 3.0.4~cosmic) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Help me please, I don't know what to do, I'm new in Linux.
« Last Edit: December 18, 2018, 12:37:38 am by zebedeeboss »

Offline scifidude79

  • Global Moderator
  • Hero
  • *****
  • Posts: 3823
  • Karma: 832
    • View Profile
  • Peppermint version(s): Peppermint 9
Re: Can't Install Wine (Broken Packages)
« Reply #1 on: December 17, 2018, 07:22:46 am »
Did you just try this?

Code: [Select]
 sudo apt-get install wine

That should pull in Wine and all its basic dependencies. The WineHQ Recommends thing is just that, recommended. It's not crucial to installing Wine.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #2 on: December 17, 2018, 07:48:53 am »
Yeah I've tried this but I get this message

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package wine is a virtual package provided by:
  winehq-staging 4.0~rc2~cosmic
  winehq-stable 3.0.4~cosmic
  winehq-devel 4.0~rc2~cosmic
  wine-development 3.6-1
You should explicitly select one to install.

E: Package 'wine' has no installation candidate

But when I try to install using sudo apt-get install winehq-stable 3.0.4~cosmic I got this another message

Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package 3.0.4~cosmic
E: Couldn't find any package by glob '3.0.4~cosmic'
E: Couldn't find any package by regex '3.0.4~cosmic'

And yeah, I know that Wine isn't is a crucial thing, but I need it to play some games

Offline murraymint

  • Trusted User
  • Veteran
  • *****
  • Posts: 1852
  • Karma: 314
  • soft boiled with a yolk of gold
    • View Profile
  • Peppermint version(s): 7, 8, 9
Re: Can't Install Wine (Broken Packages)
« Reply #3 on: December 17, 2018, 08:00:43 am »
The version number isn't part of the package name.

Code: [Select]
sudo apt-get install winehq-stable

Offline scifidude79

  • Global Moderator
  • Hero
  • *****
  • Posts: 3823
  • Karma: 832
    • View Profile
  • Peppermint version(s): Peppermint 9
Re: Can't Install Wine (Broken Packages)
« Reply #4 on: December 17, 2018, 08:26:39 am »
Oh, you have the Wine HQ repository enabled. I didn't realize that.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #5 on: December 17, 2018, 08:33:05 am »
I put sudo apt-get install winehq-stable and now I got this message

Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 winehq-stable : Depends: wine-stable (= 3.0.4~cosmic) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.

Offline murraymint

  • Trusted User
  • Veteran
  • *****
  • Posts: 1852
  • Karma: 314
  • soft boiled with a yolk of gold
    • View Profile
  • Peppermint version(s): 7, 8, 9
Re: Can't Install Wine (Broken Packages)
« Reply #6 on: December 17, 2018, 08:51:04 am »
If you open Synaptic you'll find an option in the Edit menu to Fix broken packages. It's worth a try.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #7 on: December 17, 2018, 08:59:14 am »
I fixed the broken packages via Sypnatic and nothing happened  :(

Offline scifidude79

  • Global Moderator
  • Hero
  • *****
  • Posts: 3823
  • Karma: 832
    • View Profile
  • Peppermint version(s): Peppermint 9
Re: Can't Install Wine (Broken Packages)
« Reply #8 on: December 17, 2018, 09:14:30 am »
While you're in Synaptic, search for Wine and try installing winehq-stable through there. Synaptic is just a front end for apt (what you're using in the terminal) but you never know.

If this doesn't work, you may need to remove the WineHQ repository and install wine-stable from the main repositories. I haven't used Wine in a long time, because I dual boot Peppermint and Windows, but I did a simulated install using the one from the main repositories earlier and it looked like it would work.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #9 on: December 17, 2018, 09:38:34 am »
Ok, I'll try that, thanks for the help.

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #10 on: December 17, 2018, 11:58:26 am »
Well I tried that and nothing, I really don't know what to do now

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 23938
  • Karma: 2656
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R, 9, and 9R
Re: Can't Install Wine (Broken Packages)
« Reply #11 on: December 17, 2018, 04:42:53 pm »
How did you initially attempt to install WINE ?

Because for some reason it's attempting to pull in dependencies for cosmic.
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #12 on: December 17, 2018, 06:45:43 pm »
I tried to install Wine following the guide in the Winehq page

Offline Golden-Cherry

  • nOOb
  • *
  • Posts: 8
  • Karma: 0
  • New Forum User
    • View Profile
  • Peppermint version(s): 9
Re: Can't Install Wine (Broken Packages)
« Reply #13 on: December 17, 2018, 07:12:29 pm »
Well I did it via Sypnatic deleting the Winehq repositories, but for some reason the first time didn't work. Thanks for the help I really appreciate it!

Online PCNetSpec

  • Administrator
  • Hero
  • *****
  • Posts: 23938
  • Karma: 2656
  • "-rw-rw-rw-" .. The Number Of The Beast
    • View Profile
    • PCNetSpec
  • Peppermint version(s): Peppermint 8R, 9, and 9R
Re: Can't Install Wine (Broken Packages) [SOLVED]
« Reply #14 on: December 18, 2018, 07:07:42 am »
Glad you figured it out, thanks for providing the solution and marking the topic (SOLVED) :)
WARNING: You are logged into reality as 'root' .. logging in as 'insane' is the only safe option.

Team Peppermint
PCNetSpec